Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class VpnConnection

    java.lang.Object
      com.amazonaws.services.ec2.model.VpnConnection

    public class VpnConnection

extends Object

The VpnConnection data type.

Constructor Summary
`VpnConnection()`

Method Summary
`String` | `getCustomerGatewayConfiguration()` Contains configuration information in the native XML format for the VPN connection's customer gateway.
`String` | `getCustomerGatewayId()` Specifies ID of the customer gateway at the end of the VPN connection.
`String` | `getState()` Describes the current state of the VPN connection.
`String` | `getType()` Specifies the type of VPN connection.
`String` | `getVpnConnectionId()` Specifies the ID of the VPN gateway at the VPC end of the VPN connection.
`String` | `getVpnGatewayId()` Specfies the ID of the VPN gateway at the VPC end of the VPN connection.
`void` | `setCustomerGatewayConfiguration(String customerGatewayConfiguration)` Contains configuration information in the native XML format for the VPN connection's customer gateway.
`void` | `setCustomerGatewayId(String customerGatewayId)` Specifies ID of the customer gateway at the end of the VPN connection.
`void` | `setState(String state)` Describes the current state of the VPN connection.
`void` | `setType(String type)` Specifies the type of VPN connection.
`void` | `setVpnConnectionId(String vpnConnectionId)` Specifies the ID of the VPN gateway at the VPC end of the VPN connection.
`void` | `setVpnGatewayId(String vpnGatewayId)` Specfies the ID of the VPN gateway at the VPC end of the VPN connection.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`VpnConnection` | `withCustomerGatewayConfiguration(String customerGatewayConfiguration)` Contains configuration information in the native XML format for the VPN connection's customer gateway.
`VpnConnection` | `withCustomerGatewayId(String customerGatewayId)` Specifies ID of the customer gateway at the end of the VPN connection.
`VpnConnection` | `withState(String state)` Describes the current state of the VPN connection.
`VpnConnection` | `withType(String type)` Specifies the type of VPN connection.
`VpnConnection` | `withVpnConnectionId(String vpnConnectionId)` Specifies the ID of the VPN gateway at the VPC end of the VPN connection.
`VpnConnection` | `withVpnGatewayId(String vpnGatewayId)` Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VpnConnection

    public VpnConnection()

Method Detail

### getVpnConnectionId

    public String getVpnConnectionId()

  Specifies the ID of the VPN gateway at the VPC end of the VPN connection.

  Returns:
    Specifies the ID of the VPN gateway at the VPC end of the VPN connection.

### setVpnConnectionId

    public void setVpnConnectionId(String vpnConnectionId)

  Specifies the ID of the VPN gateway at the VPC end of the VPN connection.

  Parameters:
    `vpnConnectionId` - Specifies the ID of the VPN gateway at the VPC end of the VPN connection.

### withVpnConnectionId

    public VpnConnection withVpnConnectionId(String vpnConnectionId)

  Specifies the ID of the VPN gateway at the VPC end of the VPN connection.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnConnectionId` - Specifies the ID of the VPN gateway at the VPC end of the VPN connection.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns:
    Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### setState

    public void setState(String state)

  Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Parameters:
    `state` - Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### withState

    public VpnConnection withState(String state)

  Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Describes the current state of the VPN connection. Valid values are `pending`, `available`, `deleting`, and `deleted`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCustomerGatewayConfiguration

    public String getCustomerGatewayConfiguration()

  Contains configuration information in the native XML format for the VPN connection's customer gateway.

  This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

  Returns:
    Contains configuration information in the native XML format for the VPN connection's customer gateway.

    This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

### setCustomerGatewayConfiguration

    public void setCustomerGatewayConfiguration(String customerGatewayConfiguration)

  Contains configuration information in the native XML format for the VPN connection's customer gateway.

  This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

  Parameters:
    `customerGatewayConfiguration` - Contains configuration information in the native XML format for the VPN connection's customer gateway.

    This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

### withCustomerGatewayConfiguration

    public VpnConnection withCustomerGatewayConfiguration(String customerGatewayConfiguration)

  Contains configuration information in the native XML format for the VPN connection's customer gateway.

  This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGatewayConfiguration` - Contains configuration information in the native XML format for the VPN connection's customer gateway.

    This element is always present in the CreateVpnConnection response; however, it's present in the DescribeVpnConnections response only if the VPN connection is in the `pending` or `available` state.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getType

    public String getType()

  Specifies the type of VPN connection.

  Returns:
    Specifies the type of VPN connection.

### setType

    public void setType(String type)

  Specifies the type of VPN connection.

  Parameters:
    `type` - Specifies the type of VPN connection.

### withType

    public VpnConnection withType(String type)

  Specifies the type of VPN connection.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `type` - Specifies the type of VPN connection.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCustomerGatewayId

    public String getCustomerGatewayId()

  Specifies ID of the customer gateway at the end of the VPN connection.

  Returns:
    Specifies ID of the customer gateway at the end of the VPN connection.

### setCustomerGatewayId

    public void setCustomerGatewayId(String customerGatewayId)

  Specifies ID of the customer gateway at the end of the VPN connection.

  Parameters:
    `customerGatewayId` - Specifies ID of the customer gateway at the end of the VPN connection.

### withCustomerGatewayId

    public VpnConnection withCustomerGatewayId(String customerGatewayId)

  Specifies ID of the customer gateway at the end of the VPN connection.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGatewayId` - Specifies ID of the customer gateway at the end of the VPN connection.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpnGatewayId

    public String getVpnGatewayId()

  Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

  Returns:
    Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

### setVpnGatewayId

    public void setVpnGatewayId(String vpnGatewayId)

  Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

  Parameters:
    `vpnGatewayId` - Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

### withVpnGatewayId

    public VpnConnection withVpnGatewayId(String vpnGatewayId)

  Specfies the ID of the VPN gateway at the VPC end of the VPN connection.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnGatewayId` - Specfies the ID of the VPN gateway at the VPC end of the VPN connection.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.